package org.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import java.util.*;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Configuration
@ComponentScan
public class SteamPriceParser
{


    public static Map<Integer, Boolean> gameCodeList = new HashMap<>();

    static
    {
        for (int i = 0; i < 150000; i++)
        {
            gameCodeList.put(i, false);
        }
    }
    public static void main(String[] args) throws InterruptedException
    {
//        AnnotationConfigApplicationContext applicationContext = new AnnotationConfigApplicationContext(SteamPriceParser.class);
//        ExecutorService executorService = Executors.newFixedThreadPool(50);
//
//        // Hack for adding runnable to spring watching list
//        LoadGameTask task = applicationContext.getBean(LoadGameTask.class);
//        executorService.submit(task);
        AnnotationConfigApplicationContext applicationContext = new AnnotationConfigApplicationContext(SteamPriceParser.class);
        LoadGameService loadGameService = applicationContext.getBean(LoadGameService.class);
        loadGameService.loadGamesbySingleThread();
    }

}
